core: generate HTML5 by default, but keep avoiding new elements like <section> that...
[ikiwiki.git] / debian / changelog
index 31ff168e85e448c213147f88be9a2a0e0b43d6f6..01f6066749a8e6972876ecb91f9c643215853618 100644 (file)
@@ -1,19 +1,38 @@
-ikiwiki (3.20141016) UNRELEASED; urgency=medium
+ikiwiki (3.20141017) UNRELEASED; urgency=medium
+
+  [ Joey Hess ]
+  * Added ikiwiki-comment program.
+  * Add missing build-depends on libcgi-formbuilder-perl, needed for
+    t/relativity.t
+  * openid: Stop suppressing the email field on the Preferences page.
+  * Set Debian package maintainer to Simon McVittie as I'm retiring from
+    Debian.
+
+  [ Simon McVittie ]
+  * calendar: add calendar_autocreate option, with which "ikiwiki --refresh"
+    can mostly supersede the ikiwiki-calendar command.
+    Thanks, Louis Paternault
+  * search: add more classes as a hook for CSS. Thanks, sajolida
+  * core: generate HTML5 by default, but keep avoiding new elements
+    like <section> that require specific browser support unless html5 is
+    set to 1.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 20 Oct 2014 12:04:49 -0400
+
+ikiwiki (3.20141016) unstable; urgency=medium
 
   [ Joey Hess ]
   * Fix crash that can occur when only_committed_changes is set and a
     file is deleted from the underlay.
 
   [ Simon McVittie ]
-  * debian: build-depend on libmagickcore-6.q16-2-extra | libmagickcore-extra
-    so we can thumbnail SVGs in the docwiki
-  * debian: explicitly depend and build-depend on libcgi-pm-perl
   * core: avoid dangerous use of CGI->param in list context, which led
     to a security flaw in Bugzilla; as far as we can tell, ikiwiki
     is not vulnerable to a similar attack, but it's best to be safe
   * core: new reverse_proxy option prevents ikiwiki from trying to detect
     how to make self-referential URLs by using the CGI environment variables,
     for instance when it's deployed behind a HTTP reverse proxy
+    (Closes: #745759)
   * core: the default User-Agent is now "ikiwiki/$version" to work around
     ModSecurity rules assuming that only malware uses libwww-perl
   * core: use protocol-relative URLs (e.g. //www.example.com/wiki) so that
@@ -29,8 +48,14 @@ ikiwiki (3.20141016) UNRELEASED; urgency=medium
     logged in via passwordauth or httpauth
   * templates: add ARIA roles to some page elements, if html5 is enabled.
     Thanks, Patrick
+  * debian: build-depend on libmagickcore-6.q16-2-extra | libmagickcore-extra
+    so we can thumbnail SVGs in the docwiki
+  * debian: explicitly depend and build-depend on libcgi-pm-perl
+  * debian: drop unused python-support dependency
+  * debian: rename debian/link to debian/links so the intended symlinks appear
+  * debian: fix some wrong paths in the copyright file
 
- -- Simon McVittie <smcv@debian.org>  Tue, 16 Sep 2014 11:21:16 +0100
+ -- Simon McVittie <smcv@debian.org>  Thu, 16 Oct 2014 23:28:26 +0100
 
 ikiwiki (3.20140916) unstable; urgency=low